using Office2016InspiredRibbonView.ViewModel;
using System;
using System.Globalization;
using System.Windows.Data;

namespace Office2016InspiredRibbonView.Helpers
{
    public class ButtonToSelectedPaletteConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (parameter.ToString().Equals(MainViewModel.SelectedColorVariation))
            {
                return true;
            }

            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
